

It had some HZ-1000 assuptions.


 block/as-iosched.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/block/as-iosched.c~as-hz-1000-fix drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~as-hz-1000-fix	2003-02-23 19:01:25.000000000 -0800
+++ 25-akpm/drivers/block/as-iosched.c	2003-02-23 19:01:25.000000000 -0800
@@ -660,17 +660,16 @@ static void as_anticipate_timeout(unsign
 /*
  * as_close_req decides if one request is considered "close" to the
  * previous one issued.
- * Nick: this needs fixing for HZ = 100
  */
 static int
 as_close_req(struct as_data *dd, struct as_rq *drq)
 {
-	unsigned long delay = jiffies - dd->antic_start;
+	unsigned long delay;	/* milliseconds */
 	sector_t last = dd->last_sector[dd->batch_data_dir];
 	sector_t next = drq->request->sector;
-	
 	sector_t delta;	/* acceptable close offset (in sectors) */
 
+	delay = ((jiffies - dd->antic_start) * 1000) / HZ;
 	if (dd->antic_status == ANTIC_OFF || delay <= 1)
 		delta = 32;
 	else if (delay <= 20 && delay <= dd->antic_expire / 2)

_
